Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class WebApplicationDefinitionImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.WebApplicationDefinitionImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.Model, org.apache.pluto.om.servlet.WebApplicationDefinition

    public class WebApplicationDefinitionImpl

extends java.lang.Object
implements org.apache.pluto.om.servlet.WebApplicationDefinition, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.9 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `contextPath`
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private org.apache.pluto.om.common.DisplayNameSet` | `displayNames`
`private DistributableImpl` | `distributable`
`private EjbLocalRefImpl[]` | `ejbLocalRefs`
`private EjbRefImpl[]` | `ejbRefs`
`private EnvEntryImpl[]` | `envEntries`
`private ErrorPageImpl[]` | `errorPages`
`private FilterMappingImpl[]` | `filterMappings`
`private FilterImpl[]` | `filters`
`private IconImpl` | `icon`
`private ListenerImpl[]` | `listeners`
`private LoginConfigImpl` | `loginConfig`
`private MimeMappingImpl[]` | `mimeMappings`
`private org.apache.pluto.om.common.ObjectID` | `objectId`
`private org.apache.pluto.om.common.ParameterSet` | `parameters`
`private ResourceEnvRefImpl[]` | `resourceEnvRefs`
`private ResourceRefImpl[]` | `resourceRefs`
`private SecurityConstraintImpl[]` | `securityConstraints`
`private org.apache.pluto.om.common.SecurityRoleSet` | `securityRoles`
`private org.apache.pluto.om.servlet.ServletDefinitionList` | `servletDefinitions`
`private ServletMappingListImpl` | `servletMappings`
`private SessionConfigImpl` | `sessionConfig`
`private TagLibListImpl` | `tagLibs`
`private WelcomeFileListImpl` | `welcomeFiles`

Constructor Summary
`WebApplicationDefinitionImpl()`

Method Summary
`void` | `addDescription(java.lang.String description, java.util.Locale locale)`
`void` | `addDisplayName(java.lang.String displayName, java.util.Locale locale)`
`java.lang.String` | `getContextRoot()`
`org.apache.pluto.om.common.Description` | `getDescription(java.util.Locale locale)`
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`org.apache.pluto.om.common.DisplayName` | `getDisplayName(java.util.Locale locale)`
`org.apache.pluto.om.common.DisplayNameSet` | `getDisplayNames()`
`DistributableImpl` | `getDistributable()`
`EjbLocalRefImpl[]` | `getEjbLocalRefs()`
`EjbRefImpl[]` | `getEjbRefs()`
`EnvEntryImpl[]` | `getEnvEntries()`
`ErrorPageImpl[]` | `getErrorPages()`
`FilterMappingImpl[]` | `getFilterMappings()`
`FilterImpl[]` | `getFilters()`
`IconImpl` | `getIcon()`
`org.apache.pluto.om.common.ObjectID` | `getId()`
`org.apache.pluto.om.common.ParameterSet` | `getInitParameterSet()`
`ListenerImpl[]` | `getListeners()`
`LoginConfigImpl` | `getLoginConfig()`
`MimeMappingImpl[]` | `getMimeMappings()`
`ResourceEnvRefImpl[]` | `getResourceEnvRefs()`
`ResourceRefImpl[]` | `getResourceRefs()`
`SecurityConstraintImpl[]` | `getSecurityConstraints()`
`org.apache.pluto.om.common.SecurityRoleSet` | `getSecurityRoles()`
`javax.servlet.ServletContext` | `getServletContext(javax.servlet.ServletContext servletContext)`
`org.apache.pluto.om.servlet.ServletDefinitionList` | `getServletDefinitionList()`
`ServletMappingListImpl` | `getServletMappings()`
`SessionConfigImpl` | `getSessionConfig()`
`TagLibListImpl` | `getTagLibs()`
`WelcomeFileListImpl` | `getWelcomeFiles()`
`void` | `setContextRoot(java.lang.String contextPath)`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)`
`void` | `setDistributable(DistributableImpl distributable)`
`void` | `setEjbLocalRefs(EjbLocalRefImpl[] ejbLocalRefs)`
`void` | `setEjbRefs(EjbRefImpl[] ejbRefs)`
`void` | `setEnvEntries(EnvEntryImpl[] envEntries)`
`void` | `setErrorPages(ErrorPageImpl[] errorPages)`
`void` | `setFilterMappings(FilterMappingImpl[] filterMappings)`
`void` | `setFilters(FilterImpl[] filters)`
`void` | `setIcon(IconImpl icon)`
`void` | `setId(java.lang.String id)`
`void` | `setInitParameterSet(org.apache.pluto.om.common.ParameterSet parameters)`
`void` | `setListeners(ListenerImpl[] listeners)`
`void` | `setLoginConfig(LoginConfigImpl loginConfig)`
`void` | `setMimeMappings(MimeMappingImpl[] mimeMappings)`
`void` | `setResourceEnvRefs(ResourceEnvRefImpl[] resourceEnvRefs)`
`void` | `setResourceRefs(ResourceRefImpl[] resourceRefs)`
`void` | `setSecurityConstraints(SecurityConstraintImpl[] securityConstraints)`
`void` | `setSecurityRoles(org.apache.pluto.om.common.SecurityRoleSet securityRoles)`
`void` | `setServletDefinitionList(org.apache.pluto.om.servlet.ServletDefinitionList servletDefinitions)`
`void` | `setServletMappings(ServletMappingListImpl servletMappings)`
`void` | `setSessionConfig(SessionConfigImpl sessionConfig)`
`void` | `setTagLibs(TagLibListImpl tagLibs)`
`void` | `setWelcomeFiles(WelcomeFileListImpl welcomeFiles)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objectId

    private org.apache.pluto.om.common.ObjectID objectId

### icon

    private IconImpl icon

### displayNames

    private org.apache.pluto.om.common.DisplayNameSet displayNames

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### distributable

    private DistributableImpl distributable

### parameters

    private org.apache.pluto.om.common.ParameterSet parameters

### filters

    private FilterImpl[] filters

### filterMappings

    private FilterMappingImpl[] filterMappings

### listeners

    private ListenerImpl[] listeners

### servletDefinitions

    private org.apache.pluto.om.servlet.ServletDefinitionList servletDefinitions

### servletMappings

    private ServletMappingListImpl servletMappings

### sessionConfig

    private SessionConfigImpl sessionConfig

### mimeMappings

    private MimeMappingImpl[] mimeMappings

### welcomeFiles

    private WelcomeFileListImpl welcomeFiles

### errorPages

    private ErrorPageImpl[] errorPages

### tagLibs

    private TagLibListImpl tagLibs

### resourceEnvRefs

    private ResourceEnvRefImpl[] resourceEnvRefs

### resourceRefs

    private ResourceRefImpl[] resourceRefs

### securityConstraints

    private SecurityConstraintImpl[] securityConstraints

### loginConfig

    private LoginConfigImpl loginConfig

### securityRoles

    private org.apache.pluto.om.common.SecurityRoleSet securityRoles

### envEntries

    private EnvEntryImpl[] envEntries

### ejbRefs

    private EjbRefImpl[] ejbRefs

### ejbLocalRefs

    private EjbLocalRefImpl[] ejbLocalRefs

### contextPath

    private java.lang.String contextPath

Constructor Detail

### WebApplicationDefinitionImpl

    public WebApplicationDefinitionImpl()

Method Detail

### getId

    public org.apache.pluto.om.common.ObjectID getId()

  Specified by:
    `getId` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getDisplayName

    public org.apache.pluto.om.common.DisplayName getDisplayName(java.util.Locale locale)

  Specified by:
    `getDisplayName` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getDescription

    public org.apache.pluto.om.common.Description getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getInitParameterSet

    public org.apache.pluto.om.common.ParameterSet getInitParameterSet()

  Specified by:
    `getInitParameterSet` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getServletDefinitionList

    public org.apache.pluto.om.servlet.ServletDefinitionList getServletDefinitionList()

  Specified by:
    `getServletDefinitionList` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getServletContext

    public javax.servlet.ServletContext getServletContext(javax.servlet.ServletContext servletContext)

  Specified by:
    `getServletContext` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### getContextRoot

    public java.lang.String getContextRoot()

  Specified by:
    `getContextRoot` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### setId

    public void setId(java.lang.String id)

### getIcon

    public IconImpl getIcon()

### setIcon

    public void setIcon(IconImpl icon)

### getDisplayNames

    public org.apache.pluto.om.common.DisplayNameSet getDisplayNames()

### setDisplayNames

    public void setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)

### addDisplayName

    public void addDisplayName(java.lang.String displayName,
                               java.util.Locale locale)

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### addDescription

    public void addDescription(java.lang.String description,
                               java.util.Locale locale)

### setDistributable

    public void setDistributable(DistributableImpl distributable)

### getDistributable

    public DistributableImpl getDistributable()

### setInitParameterSet

    public void setInitParameterSet(org.apache.pluto.om.common.ParameterSet parameters)

### getFilters

    public FilterImpl[] getFilters()

### setFilters

    public void setFilters(FilterImpl[] filters)

### getFilterMappings

    public FilterMappingImpl[] getFilterMappings()

### setFilterMappings

    public void setFilterMappings(FilterMappingImpl[] filterMappings)

### getListeners

    public ListenerImpl[] getListeners()

### setListeners

    public void setListeners(ListenerImpl[] listeners)

### setServletDefinitionList

    public void setServletDefinitionList(org.apache.pluto.om.servlet.ServletDefinitionList servletDefinitions)

### getServletMappings

    public ServletMappingListImpl getServletMappings()

### setServletMappings

    public void setServletMappings(ServletMappingListImpl servletMappings)

### getSessionConfig

    public SessionConfigImpl getSessionConfig()

### setSessionConfig

    public void setSessionConfig(SessionConfigImpl sessionConfig)

### getMimeMappings

    public MimeMappingImpl[] getMimeMappings()

### setMimeMappings

    public void setMimeMappings(MimeMappingImpl[] mimeMappings)

### getWelcomeFiles

    public WelcomeFileListImpl getWelcomeFiles()

### setWelcomeFiles

    public void setWelcomeFiles(WelcomeFileListImpl welcomeFiles)

### getErrorPages

    public ErrorPageImpl[] getErrorPages()

### setErrorPages

    public void setErrorPages(ErrorPageImpl[] errorPages)

### getTagLibs

    public TagLibListImpl getTagLibs()

### setTagLibs

    public void setTagLibs(TagLibListImpl tagLibs)

### getResourceEnvRefs

    public ResourceEnvRefImpl[] getResourceEnvRefs()

### setResourceEnvRefs

    public void setResourceEnvRefs(ResourceEnvRefImpl[] resourceEnvRefs)

### getResourceRefs

    public ResourceRefImpl[] getResourceRefs()

### setResourceRefs

    public void setResourceRefs(ResourceRefImpl[] resourceRefs)

### getSecurityConstraints

    public SecurityConstraintImpl[] getSecurityConstraints()

### setSecurityConstraints

    public void setSecurityConstraints(SecurityConstraintImpl[] securityConstraints)

### getLoginConfig

    public LoginConfigImpl getLoginConfig()

### setLoginConfig

    public void setLoginConfig(LoginConfigImpl loginConfig)

### getSecurityRoles

    public org.apache.pluto.om.common.SecurityRoleSet getSecurityRoles()

  Specified by:
    `getSecurityRoles` in interface `org.apache.pluto.om.servlet.WebApplicationDefinition`

### setSecurityRoles

    public void setSecurityRoles(org.apache.pluto.om.common.SecurityRoleSet securityRoles)

### setContextRoot

    public void setContextRoot(java.lang.String contextPath)

### getEnvEntries

    public EnvEntryImpl[] getEnvEntries()

### setEnvEntries

    public void setEnvEntries(EnvEntryImpl[] envEntries)

### getEjbRefs

    public EjbRefImpl[] getEjbRefs()

### setEjbRefs

    public void setEjbRefs(EjbRefImpl[] ejbRefs)

### getEjbLocalRefs

    public EjbLocalRefImpl[] getEjbLocalRefs()

### setEjbLocalRefs

    public void setEjbLocalRefs(EjbLocalRefImpl[] ejbLocalRefs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD